Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xml.utils
Class IntStack

    java.lang.Object
      |
      +--weblogic.apache.xml.utils.IntVector
            |
            +--weblogic.apache.xml.utils.IntStack

public class IntStack
extends IntVector

Implement a stack of simple integers. %OPT% This is currently based on IntVector, which permits fast acess but pays a heavy recopying penalty if/when its size is increased. If we expect deep stacks, we should consider a version based on ChunkedIntVector.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Fields inherited from class weblogic.apache.xml.utils.IntVector
`m_blocksize, m_firstFree, m_map, m_mapSize`

Constructor Summary
`IntStack()` Default constructor.
`IntStack(int blocksize)` Construct a IntVector, using the given block size.

Method Summary
`boolean` | `empty()` Tests if this stack is empty.
`int` | `peek()` Looks at the object at the top of this stack without removing it from the stack.
`int` | `peek(int n)` Looks at the object at the position the stack counting down n items.
`int` | `pop()` Removes the object at the top of this stack and returns that object as the value of this function.
`int` | `push(int i)` Pushes an item onto the top of this stack.
`void` | `quickPop(int n)` Quickly pops a number of items from the stack.
`int` | `search(int o)` Returns where an object is on this stack.
`void` | `setTop(int val)` Sets an object at a the top of the statck

Methods inherited from class weblogic.apache.xml.utils.IntVector
`addElement, addElements, addElements, contains, elementAt, indexOf, indexOf, insertElementAt, lastIndexOf, removeAllElements, removeElement, removeElementAt, setElementAt, setSize, size`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IntStack

    public IntStack()

  Default constructor. Note that the default block size is very small, for small lists.

### IntStack

    public IntStack(int blocksize)

  Construct a IntVector, using the given block size.

  Parameters:
    `blocksize` - Size of block to allocate

Method Detail

### push

    public int push(int i)

  Pushes an item onto the top of this stack.

  Parameters:
    `i` - the int to be pushed onto this stack.
  Returns:
    the `item` argument.

### pop

    public int pop()

  Removes the object at the top of this stack and returns that object as the value of this function.

  Returns:
    The object at the top of this stack.

### quickPop

    public void quickPop(int n)

  Quickly pops a number of items from the stack.

### peek

    public int peek()

  Looks at the object at the top of this stack without removing it from the stack.

  Returns:
    the object at the top of this stack.
  Throws:
    java.util.EmptyStackException - if this stack is empty.

### peek

    public int peek(int n)

  Looks at the object at the position the stack counting down n items.

  Parameters:
    `n` - The number of items down, indexed from zero.
  Returns:
    the object at n items down.
  Throws:
    java.util.EmptyStackException - if this stack is empty.

### setTop

    public void setTop(int val)

  Sets an object at a the top of the statck

  Parameters:
    `val` - object to set at the top
  Throws:
    java.util.EmptyStackException - if this stack is empty.

### empty

    public boolean empty()

  Tests if this stack is empty.

  Returns:
    `true` if this stack is empty; `false` otherwise.

### search

    public int search(int o)

  Returns where an object is on this stack.

  Parameters:
    `o` - the desired object.
  Returns:
    the distance from the top of the stack where the object is] located; the return value `-1` indicates that the object is not on the stack.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference